(*
	TCPVersion() -- Return the current version number.

	To compile and link this file using Macintosh Programmer's Workshop,

		pascal -w TCPVersion.p
		link -m ENTRYPOINT -o HyperCommands -rt XFCN=7865 -sn Main=TCPVersion 
			TCPVersion.p.o "{Libraries}HyperXLib.o"

	 Copyright 1988 by Apple Computer, Inc.

	Initial coding 12/88 by Harry R. Chesley.
*)

{$R-}

{$S TCPVersion } 	{ Segment name must be the same as the command name. }

unit DummyUnit;

interface

uses MemTypes, QuickDraw, OSIntf, HyperXCmd;

procedure EntryPoint(paramPtr: XCmdPtr);
	
implementation

procedure TCPVersion(paramPtr: XCmdPtr); forward;

procedure EntryPoint(paramPtr: XCmdPtr);

	begin
		TCPVersion(paramPtr);
	end;

procedure TCPVersion(paramPtr: XCmdPtr);

	procedure Fail(errMsg: Str255); { set theResult and quit }
		begin
			paramPtr^.returnValue := PasToZero(paramPtr,errMsg);
			exit(TCPVersion);
		end;

	begin
		if paramPtr^.paramCount <> 0 then Fail(' parameter count is not 0 ');

		paramPtr^.returnValue := PasToZero(paramPtr,'1.0, 5/17/89')
	end;

end.
